% data_Bayesian_Spain.m 

% This program loads m_Data_Bayesian_one_sided.mat that contains matrix
% m_data_Bayesian when using the one-sided HP-filter in 
% load_data_real_economy_v4.m and load_data_real_economy_v5.m.
% File name is m_Data_Bayesian_one_sided.mat and matrix is called m_Data_Bayesian.

if 0
    % used for loading originating from load_data_real_economy_v4.m
    % m_data_Bayesian_one_sided: matrix containing the timeseries we use for the Bayesian
    % estimation: first column is output per capita, second column is consumption per
    % capita, third column is investment per capita, fourth column is real
    % wages per hour, fifth column is hours, sixth column is deposit rate,
    % seventh column is credit spread, the eight column is loans to non-MFI
    % per capita, the ninth column is government bonds per capita, the tenth
    % column is deposits per capita, the eleventh column is capital and
    % reserves per capita, the twelfth column is total assets per capita, and
    % the thirteenth column is the GDP deflator
    load m_Data_Bayesian_one_sided
    
    y_obs   = m_data_Bayesian(:,1);
    c_obs   = m_data_Bayesian(:,2);
    i_obs   = m_data_Bayesian(:,3);
    w_obs   = m_data_Bayesian(:,4);
    h_obs   = m_data_Bayesian(:,5);
    s_k_obs = m_data_Bayesian(:,6);
    s_b_obs = m_data_Bayesian(:,7);
    d_obs   = m_data_Bayesian(:,8);
    n_obs   = m_data_Bayesian(:,9);
    p_obs   = m_data_Bayesian(:,10);
    pi_obs  = m_data_Bayesian(:,11);
    R_n_obs = m_data_Bayesian(:,12);
%     R_b_obs = m_data_Bayesian(:,13);
    R_nb_obs = m_data_Bayesian(:,13);    
else
    load m_Data_Bayesian_one_sided_v5
    % used for loading originating from load_data_real_economy_v4.m
    % m_data_Bayesian_one_sided: matrix containing the timeseries we use for the Bayesian
    % estimation: first column is output per capita, second column is consumption per
    % capita, third column is investment per capita, fourth column is real
    % wages per hour, fifth column is hours, sixth column is volume of loans to non-MFI
    % per capita, the seventh column is volume of government bonds per
    % capita, the eighth column is volume of deposits per capita, the ninth column is volume of capital and
    % reserves per capita, the tenth column is volume of total assets per capita,
    % the eleventh column is the GDP deflator, the twelfth column is the
    % gross nominal interest rate, and the thirteenth column is the gross
    % return on government bonds
    
    y_obs   = m_data_Bayesian(:,1);
    c_obs   = m_data_Bayesian(:,2);
    i_obs   = m_data_Bayesian(:,3);
    w_obs   = m_data_Bayesian(:,4);
    h_obs   = m_data_Bayesian(:,5);
    s_k_obs = m_data_Bayesian(:,6);
    s_b_obs = m_data_Bayesian(:,7);
    d_obs   = m_data_Bayesian(:,8);
    n_obs   = m_data_Bayesian(:,9);
    p_obs   = m_data_Bayesian(:,10);
    pi_obs  = m_data_Bayesian(:,11);
    R_n_obs = m_data_Bayesian(:,12);
%     R_b_obs = m_data_Bayesian(:,13);
    R_nb_obs = m_data_Bayesian(:,13);
    
end